<h3 class="mb-5">
    <i class="pi pi-user mr-2"></i> MUNKATÁRSAK
    <button pButton pRipple label="ÚJ MUNKATÁRS FELVÉTELE" icon="pi pi-user-plus"
            class="p-button-primary p-mr-2 float-end" (click)="new()">
    </button>
</h3>
<p-table [value]="staff" [paginator]="true" [rows]="rows" [lazy]="true" (onSort)="onSort($event)"
         [showCurrentPageReport]="true" [totalRecords]="totalRecords" (onPage)="onPage($event)"
         responsiveLayout="scroll" selectionMode="single"
         currentPageReportTemplate="Összesen: {totalRecords} elem || ({totalPages} / {currentPage})"
         [(selection)]="selectedStaff" dataKey="id"
         (onRowSelect)="edit($event)" [loading]="isLoading">
    <ng-template pTemplate="header">
        <tr>
            <th pSortableColumn="Name">Név <p-sortIcon field="Name"></p-sortIcon></th>
            <th pSortableColumn="CreatedAt">Létrehozás dátuma <p-sortIcon field="CreatedAt"></p-sortIcon></th>
            <th>Akciók</th>
        </tr>
    </ng-template>
    <ng-template pTemplate="body" let-staff>
        <tr [pSelectableRow]="staff">
            <td>{{ staff.getFullName }}</td>
            <td>{{ staff.createdAt }}</td>
            <td>
                <button pButton pRipple icon="pi pi-times" class="p-button-rounded p-button-secondary p-button-text" (click)="delete(staff)"></button>
            </td>
        </tr>
    </ng-template>
</p-table>
